Speko Docs
API Reference

List agents

Returns every agent belonging to the authenticated organization. Agents are scoped per-org — IDs from another org will never appear here.

GET
/v1/agents

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

[
  {
    "id": "agent_01HW...",
    "organizationId": "string",
    "name": "string",
    "systemPrompt": "string",
    "voice": "string",
    "intent": {
      "language": "en-US",
      "optimizeFor": "latency"
    },
    "llmOptions": {
      "temperature": 0,
      "maxTokens": 1,
      "model": "string"
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "stackPreferences": {
      "allowedProviders": {
        "stt": [
          "deepgram"
        ],
        "llm": [
          "openai"
        ],
        "tts": [
          "elevenlabs"
        ],
        "s2s": [
          "openai:gpt-realtime-2.1"
        ]
      }
    },
    "turnHandling": {
      "profile": "conversational",
      "endpointing": {
        "minDelay": 0,
        "maxDelay": 0
      },
      "interruption": {
        "mode": "adaptive",
        "minDuration": 0,
        "minWords": 0
      },
      "turnDetection": true,
      "contextThreshold": true,
      "heardBy": "content",
      "dtmfToolDescription": "string",
      "amdPrompt": "string",
      "waitForCallee": true,
      "recordCallerKeypad": false,
      "onMachine": "hangup",
      "onHuman": "hangup",
      "voicemailMessage": "string",
      "voicemailSoundId": "string",
      "holdTimeoutSeconds": 60,
      "keypadAllowedKeys": [
        "0"
      ],
      "machineBudgetSeconds": 120,
      "vad": {
        "provider": "silero"
      },
      "noiseCancellation": {
        "enabled": true,
        "model": "quail"
      },
      "keypad": true,
      "textGate": true,
      "turnDetector": "smart_turn"
    },
    "maxDurationSeconds": 0,
    "idleRePrompts": {
      "enabled": true,
      "delayMs": 1000,
      "maxPrompts": 1,
      "messages": [
        "string"
      ],
      "initialDelayMs": 1000,
      "hangupOnExhausted": true
    },
    "languageRouting": {
      "enabled": true,
      "maxDetectionTurns": 1,
      "languages": [
        {
          "language": "string",
          "allowedProviders": {
            "stt": [
              "string"
            ],
            "llm": [
              "string"
            ],
            "tts": [
              "string"
            ]
          },
          "voice": "string",
          "systemPrompt": "string",
          "firstMessage": "string",
          "inboundFirstMessage": "string",
          "outboundFirstMessage": "string",
          "voicemailMessage": "string"
        }
      ],
      "continuous": true,
      "switchTurns": 1
    }
  }
]
{
  "error": "Unauthorized",
  "code": "UNAUTHORIZED"
}